%define module_version 1.0.0
%define module_name Net-DNS-Create
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(File/Slurp.pm) perl(Hash/Merge/Simple.pm) perl(LWP/Protocol/https.pm) perl(Module/Build.pm) perl(Net/Amazon/Route53.pm) perl(Net/DNS.pm) perl(Net/DNS/RR.pm) perl(Test/Deep.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0.0
Release: alt1
Summary: Create DNS configurations from a nice Perl structure based DSL.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DA/DAVID/%{module_name}-v%{module_version}.tar.gz
BuildArch: noarch

%description
Net::DNS::Create lets you specify your DNS configuration in a Perl script so.that all the duplication that normally occurs in DNS config files can be
expressed with variables and functions. This ultimately results in a (hopefully)
DRY (Don't Repeat Yourself) representation of your DNS config data, making it
easier and less error prone to change.

Net::DNS::Create supports multiple backends which means you can change out
your DNS server software with minimal effort.


%prep
%setup -n %{module_name}-v%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md
%perl_vendor_privlib/N*

%changelog
* Wed Dec 17 2014 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1
- regenerated from template by package builder

* Mon Sep 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.11.0-alt1
- regenerated from template by package builder

* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.10.0-alt1
- regenerated from template by package builder

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.0-alt1
- initial import by package builder

